2 Replies Latest reply: Feb 10, 2013 10:03 AM by FatMac>MacPro
docnor Level 1 Level 1 (0 points)

I have upgraded to snow leaopard and software recognises tht i need 10.6.8 combined and starts download. This keeps failing saying download may hve been corrupted. Any ideas?? I want to upgrade to Lion so need this update


iMac, Mac OS X (10.6)